Skip to main content
`Ctrl`+`K`

# DMInterpolationEvaluate

Using the input from `dm` and `x`, calculates interpolated field values at the interpolation points.

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationEvaluate(DMInterpolationInfo ctx, DM dm, Vec x, Vec v)

## Input Parameters

- ctx - The `DMInterpolationInfo` context obtained with `DMInterpolationCreate()`

- dm - The `DM`

- x - The local vector containing the field to be interpolated, can be created with `DMCreateGlobalVector()`

## Output Parameter

- v - The vector containing the interpolated values, obtained with `DMInterpolationGetVector()`

## See Also

DM Basics, `DM`, `DMInterpolationInfo`, `DMInterpolationGetVector()`, `DMInterpolationAddPoints()`, `DMInterpolationCreate()`, `DMInterpolationGetCoordinates()`

## Level

beginner

## Location

src/snes/utils/dm/dminterpolatesnes.c

## Examples

src/ts/tutorials/ex77.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages